Page MenuHomePhabricator

Ingenico Orphan Slayer missing order status
Closed, ResolvedPublic

Description

In the ingenico_orphan_slayer logs, I'm seeing a lot of the "We don't have an orderstatus after doing GET_ORDERSTATUS" error. After testing locally, I believe this happens when a user fills out the form but never submits the credit card info.

Event Timeline

mepps created this task.Sep 27 2018, 4:41 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 27 2018, 4:41 PM
Ejegg added a subscriber: Ejegg.Oct 2 2018, 8:04 PM

Might just need the embedded DonationInterface code updated to the latest, which has some handling for the same situation on paymentswiki (which happened when donors clicked the phantom cancel button)

Ejegg closed this task as Resolved.Oct 3 2018, 12:02 AM
Ejegg claimed this task.
Ejegg moved this task from Backlog to Done on the Fundraising Sprint They Live board.

Looks like just updating the library fixed this error message